/* ===========================================================================

  IRIS_SERVER.H    Global variables and functions for IRIS_SERVER 

=============================================================================*/
#ifndef CC_ACCESS_FUNC_H
#define CC_ACCESS_FUNC_H

#ifdef CC_ACCESS_FUNC_ALLOCATE
#define EXTERN
#else
#define EXTERN extern
#endif

#ifdef __cplusplus
extern "C" {
#endif

Widget getWindowApplShellWidget(void);
SINT4 getDeviceNum(void);
SINT4 getProductType(void);
UINT4 getProductDataType(void);
SINT4 getProductSiteNum(void);
SINT2 getImageDataValid(void);
SINT2 isProductOnScreen(void);
SINT2 isProductLive(void);
SINT2 lHasOperatorPriv(void);
struct server_site_info getSiteInfo(void);
UINT2 irisServer_request(const char* scmd_a, const char* sreply_a,
         const void* pidata_a, const SINT4 ilen_a );
void  resendProduct(void);
void  loopFunc_FlushBuffer(void);
void  liveFunc_makeButton(void);

#ifdef __cplusplus
}
#endif

 
#undef EXTERN
#endif

